Bug 861973 - QA: Testcase ABRT Logger plugin fail
QA: Testcase ABRT Logger plugin fail
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreport (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 09:25 EDT by Martin Kyral
Modified: 2012-12-20 11:20 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:20:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kyral 2012-10-01 09:25:51 EDT
Description of problem:
When reporting problem to the Logger according the https://fedoraproject.org/wiki/QA:Testcase_ABRT_Logger_plugin test case, the report is not written to the log for the first time for a bug. A 'post-create' is invoked instead.

Repeating the steps (6), 7, 9 for the same problem leads to the expected results.


Version-Release number of selected component (if applicable):
abrt-2.0.13-1.fc18

How reproducible:
Always


Steps to Reproduce:
1. Follow the test scenario 
2. Repeat steps (6), 7, 9
  
Actual results:
1. The log is not created (if not present). No data written in the log.
2. The log is created (if not present). Crash data written.


Expected results:
1. The log is created (if not present). Crash data written.
2. Crash data written.

Additional info:
Comment 1 Adam Joseph Cook 2012-10-07 11:10:02 EDT
I can reproduce this issue on my system as well. The first time through the test procedure, ABRT performs a post-create not the 'logger' as requested on the first screens.
Comment 2 Adam Joseph Cook 2012-10-07 12:09:06 EDT
I am also seeing the exact same issue when following this basic procedure and trying to initially report via Bugzilla (https://fedoraproject.org/wiki/QA:Testcase_ABRT_Bugzilla_plugin?rd=QA:Testcase_ABRT_Bugzilla) and Mailx (https://fedoraproject.org/wiki/QA:Testcase_ABRT_Mailx_plugin?rd=QA:Testcase_ABRT_Mailx), namely, abrt-gui ignores that the Bugzilla or Mailx reporting selection initially and defaults to 'post-create'. The next time through the same bug accepts the Bugzilla or Mailx selection.
Comment 3 Jakub Filak 2012-10-10 12:20:13 EDT
commit 4b683ff098f65057e31b7f8203717896dc331d2d
Author: Jakub Filak <jfilak@redhat.com>
Date:   Tue Oct 9 16:04:25 2012 +0200

    don't update the selected event while processing it
    
    - If user wrote a comment or added a file, the selected event was
      updated to the post-create event
    - closes rhbz#861973
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
Comment 4 Fedora Update System 2012-10-11 10:11:34 EDT
abrt-2.0.15-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.15-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
Comment 5 Fedora Update System 2012-10-11 22:54:42 EDT
Package abrt-2.0.15-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.15-1.fc17 libreport-2.0.16-1.fc17 btparser-0.20-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15968/abrt-2.0.15-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-10-17 20:33:00 EDT
Package abrt-2.0.16-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.16-1.fc17 libreport-2.0.16-1.fc17 btparser-0.20-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15968/abrt-2.0.16-1.fc17,libreport-2.0.16-1.fc17,btparser-0.20-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 11:20:36 EST
abrt-2.0.16-1.fc17, libreport-2.0.16-1.fc17, btparser-0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.